APIs / Google Shopping / Search
Google Shopping: Search
Search from Google Shopping as JSON. 1 credit per successful call.
GET /v1/google-shopping/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 500 characters |
gl | string | Optional | Up to 2 characters |
hl | string | Optional | Up to 2 characters |
location | string | Optional | Up to 63 characters |
uule | string | Optional | Up to 500 characters |
start | integer | Optional | Any |
device | string | Optional | desktop, mobile, tablet |
small_business | boolean | Optional | Any |
shoprs | string | Optional | Up to 2,000 characters |
Example request
curl "https://api.perceptlayer.com/v1/google-shopping/search?q=iphone+15&gl=us&hl=en" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.